<template>
  <a-card
    :bordered="false"
    class="card-area"
  >
    <a-table
      ref="table"
      bordered
      size="middle"
      rowKey="id"
      :columns="columns"
      :dataSource="dataSource"
      :pagination="ipagination"
      :loading="loading"
      @change="handleTableChange"
    >
    </a-table>
  </a-card>
</template>

<script>
import { requestPut } from '@/api/manage'
import { JeecgListMixin } from '@/mixins/JeecgListMixin'

export default {
  name: 'ToolLedgerDetailList',
  mixins: [JeecgListMixin],
  components: {},
  data() {
    return {
      url: {
        list: '/tms/toolsStocktakingBound/toolsStocktakingList',
      },
      queryParam: {},
      nodeType: 0,
      dataSource: [],
      disableMixinCreated:true,
      columns: [
        {
          title: '工具编码',
          align: 'center',
          dataIndex: 'toolCode',
          width: '10%',
        },
        {
          title: '工具编号',
          align: 'center',
          dataIndex: 'onlyCode',
          width: '10%',
        },
        {
          title: '工具名称',
          dataIndex: 'chineseName',
          align: 'center',
          key: 'toolName'
        },
        {
          title: '型号/图号',
          dataIndex: 'toolModel',
          align: 'center',
        },
        {
          title: '盘点单号',
          dataIndex: 'orderCode',
          align: 'center',
        },
        {
          title: '盘点名称',
          dataIndex: 'stocktakingName',
          align: 'center',
        },
        {
          title: '盘点类型',
          dataIndex: 'stocktakingType',
          align: 'center',
        },
        {
          title: '经手人',
          dataIndex: 'handler',
          align: 'center',
        },
        {
          title: '盘库时间',
          dataIndex: 'stocktakingDate',
          align: 'center',
        },
        {
          title: '盘盈盘亏',
          dataIndex: 'surplusDeficit',
          align: 'center',
        },
        {
          title: '账面数量',
          dataIndex: 'bookQuantity',
          align: 'center',
        },
        {
          title: '可用数量',
          dataIndex: 'availableQuantity',
          align: 'center',
        },
        {
          title: '实盘数量',
          dataIndex: 'practicalQuantity',
          align: 'center',
        }
      ],
      para:{},
    }
  },

  methods: {
   
  },
  mounted() {
    this.$bus.$on('getToolLedgerData', (data) => {
      this.queryParam.toolCode = data.toolCode;
      this.searchQuery();
    })
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>